import { HarnessEnvironment } from '@angular/cdk/testing';
import { UnitTestElement } from '@angular/cdk/testing/testbed';
import { AngularContext } from './angular-context';
export declare class FakeAsyncHarnessEnvironment extends HarnessEnvironment<Element> {
    private ctx;
    protected constructor(rawRootElement: Element, ctx: AngularContext);
    static documentRootLoader(ctx: AngularContext): FakeAsyncHarnessEnvironment;
    waitForTasksOutsideAngular(): Promise<void>;
    forceStabilize(): Promise<void>;
    protected createEnvironment(element: Element): HarnessEnvironment<Element>;
    protected createTestElement(element: Element): UnitTestElement;
    protected getAllRawElements(selector: string): Promise<Element[]>;
    protected getDocumentRoot(): Element;
}
