import { ComponentMirror, Signal } from '@angular/core';
import * as i0 from "@angular/core";
export type Inputs<T> = {
    [K in keyof T]?: T[K] extends Signal<infer U> ? U : T[K];
};
export declare class WrapperComponent<T> {
    inputs: Inputs<T>;
    styles: Record<string, any>;
    static wrap<T>(componentMirror: ComponentMirror<T>, unboundInputs: Array<keyof T>): Array<keyof T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WrapperComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WrapperComponent<any>, "ng-component", never, {}, {}, never, never, false, never>;
}
